Serialize a DBPointer

- « MongoDB\BSON\DBPointer::jsonSerialize

- MongoDB\BSON\DBPointer::__toString »

- PHP Manual
- MongoDB\BSON\DBPointer
- Serialize a DBPointer

# MongoDB\BSON\DBPointer::serialize

(mongodb >=1.4.0)

MongoDB\BSON\DBPointer::serialize — Serialize a DBPointer

### Description

final public MongoDB\BSON\DBPointer::serialize(): string

### Parameters

This function has no parameters.

### Return Values

Returns the serialized representation of the MongoDB\BSON\DBPointer.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\BSON\DBPointer::unserialize() - Unserialize a DBPointer
- serialize() - Generates a storable representation of a value
- Serializing Objects